Summary:   Professional FTP daemon with apache-like configuration syntax
Name:      proftpd
Version:   1.2.0pre10
Release:   1
URL:       http://www.proftpd.org
Source0:   ftp://ftp.tos.net/pub/proftpd/%{name}-%{version}.tar.gz
Source2:   reference.html
Source3:   proftpd.conf
Source4:   proftpd.pamd
Source5:   proftpd.ftpusers
Copyright: GPL
Group:     Networking/Daemons
Provides:  ftpserver
Requires: pam
Obsoletes: wu-ftpd ncftpd beroftpd
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root
Serial:		2000031801

%description
ProFTPD is a highly configurable ftp daemon for unix and unix-like
operating systems.

ProFTPD is designed to be somewhat of a "drop-in" replacement for wu-ftpd.
Full online documentation is available at http://www.proftpd.org,
including a server configuration directive reference manual.

%prep
mkdir -p ${RPM_BUILD_ROOT}/etc/{pam.d,proftpd}
%setup -q
install -m644 %{SOURCE2} .
install -m644 %{SOURCE3} sample-configurations/basic.conf
# tmp (for junk link left after compilation)
rm -f doc/.#Configuration.html.rej

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s \
./configure --prefix=/usr \
            --sysconfdir=/etc \
            --localstatedir=/var/run \
            --sysconfdir=/etc/proftpd \
            --with-modules=mod_ratio
make

%install
install -m 644 -o 0 -g 0 %{SOURCE4} $RPM_BUILD_ROOT/etc/pam.d/proftp
install -m 644 -o 0 -g 0 %{SOURCE5} $RPM_BUILD_ROOT/etc/proftpd/ftpusers
myname=`id -un`
mygroup=`id -gn`
make \
	prefix=$RPM_BUILD_ROOT/usr \
      sysconfdir=$RPM_BUILD_ROOT/etc \
      localstatedir=$RPM_BUILD_ROOT/var/run \
      rundir=$RPM_BUILD_ROOT/var/run/proftpd \
      mandir=$RPM_BUILD_ROOT/usr/share/man \
      sysconfdir=$RPM_BUILD_ROOT/etc/proftpd \
      INSTALL_USER=$myname INSTALL_GROUP=$mygroup \
      install
gzip -9r doc $RPM_BUILD_ROOT/usr/share/man
gzip -9 ChangeLog INSTALL README* COPYING NEWS reference.html

%post
# Remove any exterraneous ftp entries and add in ProFTPD.
cd /etc
tmpfile=/etc/tmp.$$
sed -e '/^[:space:]*ftp.*$/d' /etc/inetd.conf > $tmpfile

if !( grep ^[:space:]*proftpd $tmpfile > /dev/null ) then
        echo '#ftp	stream	tcp	nowait	root	/usr/sbin/tcpd	in.proftpd' >> $tmpfile
fi

mv $tmpfile inetd.conf
killall -HUP inetd || :

%preun
if [ $1 = 0 ]; then
    if [ -d /var/run/proftpd ]; then
	rm -rf /var/run/proftpd/*
    fi
fi

%postun
if [ $1 = 0 ]; then
    if [ -d /var/run/proftpd ]; then
	rm -rf /var/run/proftpd
    fi

    # Remove ProFTPD entry from /etc/inetd.conf
    cd /etc
    tmpfile=/etc/tmp.$$
    sed -e '/^.*proftpd.*$/d' /etc/inetd.conf > $tmpfile
    mv $tmpfile inetd.conf
    killall -HUP inetd || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog.gz INSTALL.gz README*.gz COPYING.gz NEWS.gz
%doc doc
%doc sample-configurations
%doc reference.html.gz
%attr( 0600 root, root) %config(noreplace) /etc/proftpd/proftpd.conf
%config(noreplace) /etc/pam.d/proftp
%config(noreplace) /etc/proftpd/ftpusers
/usr/bin/*
/usr/sbin/*
/var/run/proftpd
%attr(-,root,man) /usr/share/man/*/*

%changelog
* Sat Mar 18 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Updated to 1.2.0pre10

* Wed Nov 3 1999 Roger Luethi <rluethi@turbolinux.com>
- fixed a silly little bug in the anonymous ftp configuration

* Thu Oct 27 1999 Roger Luethi <rluethi@turbolinux.com>
- commented anonymous ftp in config file; user has to deliberately turn it on
- proftpd is commented in /etc/inetd.conf now by default
- enabled PAM (added proftpd.pamd, changed proftpd.conf accordingly)
- added proftpd.ftpusers
- gzipped documentation

* Tue Oct 8 1999 Roger Luethi <rluethi@turbolinux.com>
- removed proftpd.patch (which patched proftpd.conf) and changed proftpd.conf:
  took PAM out (which doesn't compile at the moment) and added "ServerIdent off"

* Tue Oct 5 1999 Roger Luethi <rluethi@turbolinux.com>
- Updated to 1.2.0pre8
- moved man pages from /usr/man to /usr/share/man

* Wed Sep 22 1999 Troy D. Gillette <tgillette@turbolinux.com>
- Updated to pre6

* Sun Jun 06 1999 Kelley Spoon <kspoon@turbolinux.com>
- set noreplace for config file so we don't torch user's
  current config (sorry, John :-)
- switched proftd to use inetd instead of init.d

* Fri Mar 19 1999 Kelley Spoon <kspoon@turbolinux.com>
- upgraded to 1.2.0pre3
- fixed init script to say "proftpd shutting down" instead of
  "http shutting down"

* Wed Jan 13 1999 Scott Stone <sstone@turbolinux.com>
- Changed Conflicts to Obsoletes

* Wed Nov 25 1998 Denis Barbier <barbier@imacs.polytechnique.fr>
  [1.2.0pre1-1]
- removed proftpd-mdtm-localtime.patch and mod_ratio
- added proftpd-make.patch, proftpd.init
- use `make install' at installation stage

* Wed Sep 16 1998 Arne Coucheron <arneco@online.no>
  [1.1.7pre1-1]
- added mod_ratio to compile, see the top of mod_ratio.c in the doc
  dir for usage

* Mon Aug 10 1998 Arne Coucheron <arneco@online.no>
  [1.1.6pl1-1]

* Thu Aug 06 1998 Arne Coucheron <arneco@online.no>
  [1.1.6pre4-1]

* Sat Aug 01 1998 Arne Coucheron <arneco@online.no>
  [1.1.6pre2-1]

* Thu Jul 23 1998 Arne Coucheron <arneco@online.no>
  [1.1.5pl4-1]
- making use of shadow libraries
  (Thanks to Mike McHendry <mmchen@ally.minn.net> for the hint)
- added beroftpd to Conflicts:
- added configuration and reference docs to the package

* Sun Jun 28 1998 Arne Coucheron <arneco@online.no>
  [1.0.3pl1-2]
- using $RPM_OPT_FLAGS
- using %%{name} and %%{version} macros
- using %defattr macro in filelist, ordinary users can build now 
- using install -d instead of mkdir -p
- made proftpd.conf chmod 600 for security
- added -q parameter to %setup
- added %config to /etc/proftpd.conf in filelist
- added Conflicts: wu-ftpd ncftpd
- installing util programs in /usr/bin instead of /usr/sbin
- changed name of spec file to proftpd.spec

* Wed May 6 1998 Vladimir Ivanov <vlad@elis.tasur.edu.ru>
- Fixed bug in mod_auth.c
- Initial RPM release
